Bug 807818 - Review Request: uboot-panda - U-Boot for pandaboard
Review Request: uboot-panda - U-Boot for pandaboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-03-28 16:03 EDT by Dennis Gilmore
Modified: 2012-04-20 10:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 10:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2012-03-28 16:03:00 EDT
Spec URL: http://ausil.us/packages/uboot-panda.spec
SRPM URL: http://ausil.us/packages/uboot-panda-2011.12-1.fc18.src.rpm
Description: 
This package contains a U-Boot boot loader for the pandaboard
Comment 1 Peter Lemenkov 2012-03-30 05:43:32 EDT
I really don't like what I see here and in issue #807819. Why not to package u-boot and to build all packages (as a sub-packages) from it?
Comment 2 Dennis Gilmore 2012-03-30 07:55:59 EDT
the source doesnt clean and rebuild well. there is one more development board that needs packaged up also.  these are the boatloader binaries needed to be installed into the system to be able to boot, and they have some special handling that they need to ensure you can boot the board.you really dont want to actually update it once installed. the MLO files need to be written first to the first partition on the sdcard that is vfat formated. what specifically do you not like about these?
Comment 3 Dennis Gilmore 2012-04-19 09:42:24 EDT
updated to 2012.04 release has some very useful new features

Spec URL: http://ausil.us/packages/uboot-panda.spec
SRPM URL: http://ausil.us/packages/uboot-panda-2012.04-0.1.fc18.rc2.src.rpm
Comment 4 Robert Nelson 2012-04-19 11:59:50 EDT
Testing on my Panda A2, after rebuilding the *.src.rpm on f17-armhf...

Please also add u-boot.img as a export file to the spec...

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 0644 u-boot.bin $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 0644 u-boot.img $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 0644 MLO $RPM_BUILD_ROOT%{_datadir}/%{name}/

Background, in u-boot when the SPL infrastructure was added to replace the older X-Loader, it was decided to load a u-boot.img (with u-boot wrapper) vs the older raw u-boot.bin.

So on the sd card:

MLO -> u-boot.img -> uEnv.txt -> kernel...

Regards,
Comment 5 Dennis Gilmore 2012-04-20 10:00:36 EDT
ive worked out how to build this from the uboot-tools package and am building an update now. i have included the u-boot.img file as well

Note You need to log in before you can comment on or make changes to this bug.